Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerObject Interface Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::ServerObject:

[legend]
Collaboration diagram for ImplementationRepository::ServerObject:

[legend]
List of all members.

## Public Types
typedef ServerObject_ptr | _ptr_type
typedef ServerObject_var | _var_type
## Public Methods
void | ping ()
void | shutdown ()
virtual void | ping (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const CORBA::Char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
ServerObject_ptr | _duplicate (ServerObject_ptr obj)
ServerObject_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerObject_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerObject_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Static Public Attributes
int | _tao_class_id = 0
## Protected Methods
| ServerObject (int collocated=0)
virtual void | ImplementationRepository_ServerObject_setup_collocation (int collocated)
| ServerObject (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0)
virtual | ~ServerObject (void)
## Private Methods
| ServerObject (const ServerObject &)
void | operator= (const ServerObject &)
## Private Attributes
_TAO_ServerObject_Proxy_Broker * | the_TAO_ServerObject_Proxy_Broker_
## Friends
class | _TAO_ServerObject_Remote_Proxy_Impl
class | _TAO_ServerObject_ThruPOA_Proxy_Impl
class | _TAO_ServerObject_Direct_Proxy_Impl

## Member Typedef Documentation

typedef ServerObject_ptr ImplementationRepository::ServerObject::_ptr_type

| Reimplemented from CORBA_Object.

typedef ServerObject_var ImplementationRepository::ServerObject::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

ImplementationRepository::ServerObject::ServerObject | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE ImplementationRepository::ServerObject::ServerObject | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0
| ) | `[protected]`

ImplementationRepository::ServerObject::~ServerObject | ( | void |  | ) | `[protected, virtual]`

ImplementationRepository::ServerObject::ServerObject | ( | const ServerObject & |  | ) | `[private]`

## Member Function Documentation

ImplementationRepository::ServerObject_ptr ImplementationRepository::ServerObject::_duplicate | ( | ServerObject_ptr | obj | ) | `[static]`

const char * ImplementationRepository::ServerObject::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object.

virtual CORBA::Boolean ImplementationRepository::ServerObject::_is_a | ( | const CORBA::Char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

ImplementationRepository::ServerObject_ptr ImplementationRepository::ServerObject::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | `[static]`

ServerObject_ptr ImplementationRepository::ServerObject::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_Object.

void ImplementationRepository::ServerObject::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Reimplemented from CORBA_Object.

void * ImplementationRepository::ServerObject::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

ImplementationRepository::ServerObject_ptr ImplementationRepository::ServerObject::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

void ImplementationRepository::ServerObject::ImplementationRepository_ServerObject_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

void ImplementationRepository::ServerObject::operator= | ( | const ServerObject & |  | ) | `[private]`

void ImplementationRepository::ServerObject::ping | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

void ImplementationRepository::ServerObject::ping | ( |  | ) |

void ImplementationRepository::ServerObject::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

void ImplementationRepository::ServerObject::shutdown | ( |  | ) |

## Friends And Related Function Documentation

friend class _TAO_ServerObject_Direct_Proxy_Impl`[friend]`

friend class _TAO_ServerObject_Remote_Proxy_Impl`[friend]`

friend class _TAO_ServerObject_ThruPOA_Proxy_Impl`[friend]`

## Member Data Documentation

int ImplementationRepository::ServerObject::_tao_class_id = 0`[static]`

| Reimplemented from CORBA_Object.

_TAO_ServerObject_Proxy_Broker* ImplementationRepository::ServerObject::the_TAO_ServerObject_Proxy_Broker_`[private]`

The documentation for this interface was generated from the following files:

- ImplRepo.pidl
- ImplRepoC.h
- ImplRepoC.cpp
- ImplRepoC.i